Bug 36926 - Move syspref PlaceHoldsOnOrdersFromSuggestions
Summary: Move syspref PlaceHoldsOnOrdersFromSuggestions
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Sam Lau
QA Contact: Emily Lamancusa
URL:
Keywords: Academy, Sandbox
Depends on:
Blocks:
 
Reported: 2024-05-22 13:44 UTC by Philip Orr
Modified: 2024-06-13 13:32 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This moves the 'PlaceHoldsOnOrdersFromSuggestions' system preference from the Acquisitions> Printing section to the Circulation > Holds policy section.
Version(s) released in:
24.11.00


Attachments
Bug 36926: Move syspref PlaceHoldsOnOrdersFromSuggestions (2.97 KB, patch)
2024-06-04 20:49 UTC, Sam Lau
Details | Diff | Splinter Review
Bug 36926: Move syspref PlaceHoldsOnOrdersFromSuggestions (3.02 KB, patch)
2024-06-06 00:11 UTC, David Nind
Details | Diff | Splinter Review
Bug 36926: Move syspref PlaceHoldsOnOrdersFromSuggestions (3.09 KB, patch)
2024-06-06 13:39 UTC, Emily Lamancusa
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Philip Orr 2024-05-22 13:44:14 UTC
In Bug 27595, a new system preference "" was introduced.
Currently this system preference is located in Acquisitions,
under the subheading "Printing".
It should be moved to Circulation, under the subheading "Holds".
(Or possibly to OPAC, subheading "Suggestions"; as it's a preference
regarding holds policy I would suggest to put it with the other holds preferences...)
Comment 1 Philip Orr 2024-05-22 13:45:03 UTC
Oops, sorry - the new system preference is named "PlaceHoldsOnOrdersFromSuggestions"
Comment 2 Sam Lau 2024-06-04 20:49:04 UTC
Created attachment 167421 [details] [review]
Bug 36926: Move syspref PlaceHoldsOnOrdersFromSuggestions

This patch moves the 'PlaceHoldsOnOrdersFromSuggestions' system preferences
from the Acquisitions->Printing section to the Circulation->Holds Policy section.

To test:
1) Go to Admin->System Preferences and search for 'PlaceHoldsOnOrdersFromSuggestions'
2) Note that it is located in the Acquisitions prefs, under the Printing subheading
3) Apply patch
4) search for the preferences again
5) Note that it is now located in the Circulation preferences under the Holds Policy subheading
Comment 3 David Nind 2024-06-06 00:11:54 UTC
Created attachment 167506 [details] [review]
Bug 36926: Move syspref PlaceHoldsOnOrdersFromSuggestions

This patch moves the 'PlaceHoldsOnOrdersFromSuggestions' system preferences
from the Acquisitions->Printing section to the Circulation->Holds Policy section.

To test:
1) Go to Admin->System Preferences and search for 'PlaceHoldsOnOrdersFromSuggestions'
2) Note that it is located in the Acquisitions prefs, under the Printing subheading
3) Apply patch
4) search for the preferences again
5) Note that it is now located in the Circulation preferences under the Holds Policy subheading

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Emily Lamancusa 2024-06-06 13:39:19 UTC
Created attachment 167549 [details] [review]
Bug 36926: Move syspref PlaceHoldsOnOrdersFromSuggestions

This patch moves the 'PlaceHoldsOnOrdersFromSuggestions' system preferences
from the Acquisitions->Printing section to the Circulation->Holds Policy section.

To test:
1) Go to Admin->System Preferences and search for 'PlaceHoldsOnOrdersFromSuggestions'
2) Note that it is located in the Acquisitions prefs, under the Printing subheading
3) Apply patch
4) search for the preferences again
5) Note that it is now located in the Circulation preferences under the Holds Policy subheading

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Emily Lamancusa <emily.lamancusa@montgomerycountymd.gov>
Comment 5 Emily Lamancusa 2024-06-06 13:40:46 UTC
Looks good - thanks, Sam! Passing QA
Comment 6 Martin Renvoize 2024-06-13 13:32:59 UTC
Thanks for all the hard work!

Pushed to main for the next 24.11.00 release as RM Assistant